Bug 521 - Samba has a missing library
Samba has a missing library
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.0
All Solaris
: P3 enhancement
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 11:33 UTC by Henry Cocozzoli
Modified: 2012-12-06 16:21 UTC (History)
0 users

See Also:


Attachments
output from nm CP850.so (4.69 KB, text/plain)
2003-09-29 04:31 UTC, Henry Cocozzoli
no flags Details
patch to lib/module.c (533 bytes, patch)
2003-12-10 07:57 UTC, Christian Heid
no flags Details
1 (177 bytes, text/html)
2012-12-06 16:21 UTC, Daniel Cevaal
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Cocozzoli 2003-09-26 11:33:57 UTC
Software compiled on Solaris 8  with all the latest Security Patches
Compiled with Sun Forte 6 Update 2 C compiler.

Error meesage follows:

./testparm
Load smb config files from /usr/local/samba/lib/smb.conf
Error trying to resolve symbol 'init_module' in /usr/local/samba/lib/charset/CP8
50.so: ld.so.1: ./testparm: fatal: /usr/local/samba/lib/charset/ISO8859-1.so: op
en failed: No such file or directory
Conversion from UCS-2LE to CP850 not supported
Error trying to resolve symbol 'init_module' in /usr/local/samba/lib/charset/CP8
50.so: ld.so.1: ./testparm: fatal: /usr/local/samba/lib/charset/ISO8859-1.so: op
en failed: No such file or directory
Conversion from UTF8 to CP850 not supported
Error trying to resolve symbol 'init_module' in /usr/local/samba/lib/charset/CP8
50.so: ld.so.1: ./testparm: fatal: /usr/local/samba/lib/charset/ISO8859-1.so: op
en failed: No such file or directory
Conversion from ASCII to CP850 not supported
Error trying to resolve symbol 'init_module' in /usr/local/samba/lib/charset/CP8
50.so: ld.so.1: ./testparm: fatal: /usr/local/samba/lib/charset/ISO8859-1.so: op
en failed: No such file or directory
Conversion from CP850 to UCS-2LE not supported
Module '/usr/local/samba/lib/charset/CP850.so' loaded
params.c:OpenConfFile() - Unable to open configuration file "/usr/local/samba/li
b/smb.conf":
        No such file or directory
Error loading services.
#ls    /usr/local/samba/lib/charset
437.so  CP850.so
Comment 1 Jelmer Vernooij 2003-09-27 09:52:12 UTC
Can you paste the output of 'nm /usr/local/samba/lib/charset/CP850.so' ?
Comment 2 Henry Cocozzoli 2003-09-29 04:31:13 UTC
Created attachment 170 [details]
output from nm CP850.so

nm /usr/local/samba/lib/charset/CP850.so

Requested by  
jelmer@samba.org
Comment 3 Jelmer Vernooij 2003-10-09 15:35:19 UTC
I'm working with David Collier-Brown from Sun to get this one solved. In the
meanwhile, try to run configure with the option --with-static-modules=charset
Comment 4 Henry Cocozzoli 2003-10-10 07:29:53 UTC
Recompiled with 

./configure --with-static-modules=charset

Added the following to smb.conf
hostname lookups = yes
encrypt passwords = no

Samba 3.0.0 is now usable on Solaris like the old 2.x version.

Thanks.
Comment 5 Jelmer Vernooij 2003-11-09 04:13:28 UTC
Setting this to 'enhancement'. The workaround works well, though it would be 
nice to support shared modules on solaris. 
Comment 6 Christian Heid 2003-12-10 07:57:28 UTC
Created attachment 314 [details]
patch to lib/module.c

Hello,

in function do_smb_load_module (lib/module.c)  dlerror() will not be cleared,
if a dlopen has failed ( .../lib/charset/.so ) (and the debug level isn't high
?)
The next call to do_smb_load_module will fail !
Comment 7 Jelmer Vernooij 2003-12-11 10:34:38 UTC
This patch has already been applied to CVS by Jeremy. This bug will be fixed in 
the next release.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:22:33 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 9 Gerald (Jerry) Carter 2005-11-14 09:26:30 UTC
database cleanup
Comment 10 Daniel Cevaal 2012-12-06 16:21:50 UTC
Created attachment 8295 [details]
1